apiVersion: apps/v1
kind: Deployment
metadata:
  name: legalgonews-backend
  namespace: altru-staging
spec:
  selector:
    matchLabels:
      app: legalgonews-backend
  replicas: 1
  template:
    metadata:
      labels:
        app: legalgonews-backend
    spec:
      serviceAccountName: custom-serviceaccount
      containers:
        - name: legalgonews-backend
          image: registry.gitlab.com/altru.id/legalgo/legalgonews-backend:43d5608a-dev
          ports:
            - containerPort: 3000
          volumeMounts:
            - mountPath: "/env"
              name: legalgonews-backend-secret
              readOnly: true
      volumes:
        - name: legalgonews-backend-secret
          secret:
            secretName: legalgonews-backend-secret
      imagePullSecrets:
        - name: regcred

